using System;
using UnityEngine;
using UnityEngine.Events;
using System.Threading;
using System.Collections;
using System.Collections.Generic;
using System.Linq;

namespace RightClick
{
    public class MainScript
    {
        public static void Main()
        {            
            ModAPI.OnItemSpawned += (sender, args) =>
            {
                var PB = args.Instance.gameObject.GetComponent<PersonBehaviour>();
                if (!PB) {
                    return;
                }

                if (!PB.gameObject.GetComponent<RightClickPersonBehaviour>()) {
                    PB.gameObject.AddComponent<RightClickPersonBehaviour>();
                }
            };
        }
    }
}